package oop.Aufgaben;

public class Kreis {
	
	 private double radius;
	 private String color;
	
	
	 // Konstruktor mit zwei Parametern
	    public Kreis(double radius, String color) {
	        this.radius = radius;
	        this.color = color;
	    }

	    // Konstruktor mit einem Parameter (radius), Standardfarbe wird zugewiesen
	    public Kreis(double radius) {
	    	this.radius = radius; // Standardfarbe ist "weiß"
	    }
	 
	 
	public void setRadius(double radius) {
		
		this.radius =radius ;//this (unterscheidet zwishcne Parameter und Attribute)
	}
	
	public double getRadius() {
		
		return radius;
	}
	
	public void setColor(String color) {
		
		this.color = color; // this (unterscheidet zwishcne Parameter und Attribute)
	}
	
	public String getColor() {
		
		return color;
	}
	
	
	public double getFlaeche() {
		
		return radius * radius * Math.PI;
	}
	
	public double getUmfang() {
		
		return 2 * radius * Math.PI;
		
	}
	
	public String toString() {
		
		return "Kreis:" + getFlaeche()  + " " + getUmfang() ;
	}
	

}
